/*  Time-stamp: <04/07/15 17:46:50 noike>  */
#include  "4ru.h"
#include  <glut.h>
#include  "GLcube.h"


extern int win_w;
extern int win_h;
extern int alpha;


void draw_H_line(int xs, int ys, int xe, int ye, GLdouble colors[4], int linewidth)
{
  int tmp;
  int i;
  static GLdouble line_base[8][3];
  static GLdouble line_colors[8][4];


  for(i = 0; i < 8; i++){
    line_colors[i][0] = colors[0];
    line_colors[i][1] = colors[1];
    line_colors[i][2] = colors[2];
    line_colors[i][3] = colors[3];
  }


  /*  夬 (0, win_h)  */

  if(xs > xe){
    tmp = xs;
    xs = xe;
    xe = tmp;
  }

  line_base[0][X] = xs;
  line_base[0][Y] = ys;
  line_base[0][Z] = win_h;
    
  line_base[1][X] = xs;
  line_base[1][Y] = ys + linewidth;
  line_base[1][Z] = win_h;
  
  line_base[2][X] = xe;
  line_base[2][Y] = ye + linewidth;
  line_base[2][Z] = win_h;
  
  line_base[3][X] = xe;
  line_base[3][Y] = ye;
  line_base[3][Z] = win_h;
  
  line_base[4][X] = xs;
  line_base[4][Y] = ys;
  line_base[4][Z] = 0;
  
  line_base[5][X] = xs;
  line_base[5][Y] = ys + linewidth;
  line_base[5][Z] = 0;
  
  line_base[6][X] = xe;
  line_base[6][Y] = ye + linewidth;
  line_base[6][Z] = 0;
  
  line_base[7][X] = xe;
  line_base[7][Y] = ye;
  line_base[7][Z] = 0;

  glVertexPointer(3, GL_DOUBLE, 0, line_base);
  glColorPointer(4, GL_DOUBLE, 0, line_colors);
  glDrawElements(GL_QUADS, 24, GL_UNSIGNED_BYTE, cubeIndices);

}
