/*  Time-stamp: <2005-05-11 17:06:05 >  */
#include  "midi_io.h"
#include  "4ru.h"
#include  "sequence.h"
#include  "signal_exit.h"
#include  "GLcolors.h"


extern int win_w;
extern int win_h;
extern int view;
extern NOTE_HEADER note_header_info;
extern NOTE_NODE *view_note_cur;
extern int midiout_port;
extern WRITE_CTRL wctrl;
extern PERF_CTRL pctrl;
extern DRUM_DEF drum_data[DRUM_KIND];


void extern_sequence_play(void)
{
  SMF_HEADER smf_header_info;
  EL *smf_top[MAX_TRK_NUM];
  int i;
/*   PART_INFO  part_info[PART_NUM]; */


/*   init_note_header_info(&note_header_info); */
  init_smf_header_info(&smf_header_info);
/*   init_partinfo(part_info); */
  for(i = 0; i < MAX_TRK_NUM; i++){
/*     EL_list_free(smf_top[i]); */
    smf_top[i] = NULL;
  }

  re_draw();
  put_str_large(((win_w / 2) - 250), (win_h / 2), 0, OpenGLcolors[1], "Playing ... ");
  glutSwapBuffers();
/*   glutPostRedisplay(); */
/*   glFlush(); */
  sequence_play(note_header_info, view_note_cur,
		smf_header_info, smf_top,
		midiout_port, wctrl, pctrl, drum_data);

}
