#include  <stdio.h>
#include  <string.h>
#include  "NOTEfile.h"

#define  BRACKET 1


int get_word(char *buf, char *word, int *line)
{
  static int now = !BRACKET;
  int i;
  static int idx;

  strcpy(word, "");

  while(1){
    if(skip_space(buf, &idx) == BUF_END){
      idx = 0;
      return !GOT;
    }
    
    if(skip_nl(buf, &idx, line) != BUF_END){
      break;
    }
    else{
      idx = 0;
      return !GOT;
    }
  }

  i = 0;

  while(*(buf + idx) != '\0'){
    switch(*(buf + idx)){
    case  TAB:
    case  SPC:
      word[i] = '\0';
      skip_space(buf, &idx);
      if(strcmp(word, "END") == 0){
	idx = 0;
      }
      return GOT;

    case  CR:
    case  LF:
      word[i] = '\0';
      /*  skip_nl(buf, idx, line);  */
      if(strcmp(word, "END") == 0){
	idx = 0;
      }
      return GOT;

    case  '"':
      word[i] = *(buf + idx);
      i++;
      idx++;
      while(1){
	word[i] = *(buf + idx);
	if(*(buf + idx) == '"'){
	  i++;
	  idx++;
	  word[i] = '\0';

	  return GOT;
	}
	i++;
	idx++;
      }
      
      break;

    case  '(':
    case  ')':
    case  '{':
    case  '}':
    case  '/':
      if(now == !BRACKET){
	if(strcmp(word, "") == 0){
	  word[0] = *(buf + idx);
	  word[1] = '\0';
	  idx++;
	  if(strcmp(word, "END") == 0){
	    idx = 0;
	  }
	  return GOT;
	}
	else{
	  now = BRACKET;
	  word[i] = '\0';
	  if(strcmp(word, "END") == 0){
	    idx = 0;
	  }
	  return GOT;
	}
      }
      else{  /*  now == BRACKET, *(buf + idx) == ')'  */
	now = !BRACKET;
	word[i] = *(buf + idx);
	word[i+1] = '\0';
	idx++;
	if(strcmp(word, "END") == 0){
	  idx = 0;
	}
	return  GOT;
      }

      
    default:
      word[i] = *(buf + idx);
      idx++;
      i++;
      break;
    }
  }

  printf("word: %s\n", word);

  return !GOT;
}

