/* Time-stamp: <2005-03-28 16:08:59 >  */
#include  "4ru.h"

extern GARC *gtop;
extern NOTE_NODE *note_bot;

/*
  GPR5 (Symmetry)
  Perfer grouping analyses that most closely approach the ideal subdivision
  of groups into two parts of equal length.
*/

int gpr5(NOTE_NODE *linetop)
{
  NOTE_NODE *srch = NULL;
  NOTE_NODE *e = NULL;
  double length;


  garc_free(gtop);

  gtop = garc_alloc();

  length = 0.0;
/*   gtop->s = linetop; */
  srch = linetop;
  while(1){
    if((srch == NULL) || (srch == note_bot)){
      break;
    }
/*     if(srch->ident == NOTE || srch->ident == REST){ */
    if(srch->ident == NOTE){
      length += srch->len.beat;
      e = srch;
    }
    srch = srch->next;
  }

  if(e != NULL){
    if(calc_gpr5(gtop, linetop, e, 0) == NULL){
      free(gtop);
      gtop = NULL;
    }
  }

  return  EXIT_SUCCESS;
}
