/* ܸʸɴϢؿإå (v1.4)
 *
 * (c) 1999-2004 Andrew Church <achurch@achurch.org>
 *
 * ¾ΥեȤǤλѤϡʱŪݤ˴ؤ餺˴˼ͳǤâ
 * Υɤκۡޤ¾ΥեȤΥɤȰǤ
 * ۤξϡɬѹ˸ΤޤޤۤƲѹ줿Τ
 * ۤ϶ؤޤ
 * ޤԶ礬Ĥä硢嵭᡼륢ɥ쥹ޤǤϢ
 *
 * Copyright (c) 1999-2004 Andrew Church <achurch@achurch.org>
 *
 * These routines may be used freely in any software, commercial or
 * otherwise.  However, any distribution of this source code, whether
 * independently or as part of another program, must be of the original,
 * unmodified source code; distribution of modified versions of the source
 * code is prohibited.
 * Please report any bugs to the above address.
 */

#ifndef JCODE_H
#define JCODE_H

#define JCODE_UNKNOWN	0	/* ܸʸʤ / no Japanese chars */
#define JCODE_JIS	1
#define JCODE_EUC	2
#define JCODE_SJIS	3

extern char *jcode_local(const char *str);
extern char *jcode_nlocal(const char *str, int max);

extern char *jcode_jis(const char *str);
extern char *jcode_euc(const char *str);
extern char *jcode_sjis(const char *str);

extern int jcode_hantei(const char *str);

extern char *jcode_jis2euc(const char *str);
extern char *jcode_euc2jis(const char *str);
extern char *jcode_sjis2euc(const char *str);
extern char *jcode_euc2sjis(const char *str);
extern char *jcode_jis2sjis(const char *str);
extern char *jcode_sjis2jis(const char *str);

#endif	/* JCODE_H */
