/*  Time-stamp: <2004-05-27 19:00:01 >  */
#include  "NOTEfile.h"
#include  "disp_errline.h"


int note_s_time_parse(FILE *fp, char *filename,
			int line, char linebuf[], int *idx, char token[],
			NOTE_HEADER *header_info, NOTE_NODE *cur)
{
  double doubletmp;

  fp = fp;
  filename = filename;
  line = line;
  linebuf = linebuf;
  idx = idx;


  if(sscanf(token, "%lf", &doubletmp) != 1){  /*  ͤǤʤ  */
    return !0;
  }

  switch(header_info->timescale){
  case  T_BEAT:
  case  NO_INFO:
    sscanf(token, "%lf", &(cur->on_time.beat));
    break;

  case  T_REAL:
    sscanf(token, "%lf", &(cur->on_time.real));
    break;

  case  T_DELTA:
    sscanf(token, "%d", &(cur->on_time.delta));
    break;

  case  T_MEAS:
    sscanf(token, "%lf", &(cur->on_time.meas));
    break;

  default:
    br_printf(2, "%s: %d: header_info  timescale  T_BEAT, T_REAL, T_DELTA, NO_INFO ΤɤǤ⤢ޤ\n",
	      __FILE__, __LINE__);
    break;
  }

  
  return 0;
}
