/*  Time-stamp: <2005-02-28 02:06:08 >  */
#include  "4ru.h"
#include  <glut.h>

extern int win_w;
extern int win_h;


void put_str_small(double x, double y, double z, GLdouble colors[4], char *arg_str)
{
#if 1
  static int called = 0;
  static GLuint str_base;
  int i;
  static double pre_x = 0;
  static double pre_y = 0;
  static double pre_z = 0;
  static void *font[FONT_NUM];


  if(called == 0){
    called = 1;
    str_base = glGenLists(256);
    glColor4dv(colors);
    for(i = 0; i < FONT_NUM; i++){
      glNewList(str_base + i, GL_COMPILE);
      font[i] = GLUT_BITMAP_TIMES_ROMAN_10;
/*       font = GLUT_BITMAP_HELVETICA_12; */
/*       font = GLUT_BITMAP_9_BY_15; */
/*       font = GLUT_BITMAP_HELVETICA_18; */
      glutBitmapCharacter(font[i], i);
      glEndList();
    }
  }

  glListBase(str_base);
  glColor4dv(colors);
  if( (x == -1) && (y == -1) && (z == -1) ){
    glRasterPos3d(pre_x, pre_y, pre_z);
  }else{
    glRasterPos3d(x, y, z);
    pre_x = x;
    pre_y = y;
    pre_z = z;
  }

  glCallLists((GLint) strlen(arg_str), GL_BYTE, arg_str);
  for(i = 0; i < (int)strlen(arg_str); i++){
    pre_x += glutBitmapWidth(font[i], *(arg_str + i));
  }


#else

  char *p;

  glColor4dv(colors);
  glLineWidth(2.0);
/*   glPushMatrix(); */
  glTranslatef(100, 100, 1000);
  glRasterPos3d(x, y, z);
  for (p = str; *p; p++){
    glutStrokeCharacter(GLUT_STROKE_ROMAN, *p);
  }
/*   glPopMatrix(); */
#endif

}
