/*  Time-stamp: <2004-09-14 11:32:35 >  */
#include  "xml2note.h"

int tie_cat(NOTE_NODE *part_top[PART_NUM], int part_num)
{
  NOTE_NODE *part_cur;
  NOTE_NODE *srch;
  int part_idx;
  char startnote[STR_LEN];
  int measure;

#if 0  
  int s;
  int e;
  for(part_idx = 0; part_idx < part_num; part_idx++){
    s = 0;
    e = 0;
    part_cur = part_top[part_idx];
    while(part_cur != NULL){
      if(part_cur->tie_start == ON){  s++; }
      if(part_cur->tie_stop == ON){  e++; }
      part_cur = part_cur->next;
    }
    printf("s: %d, e: %d\n", s, e);
    if(s != e){
      exit(0);
    }
  }
#endif


  measure = 0;

  for(part_idx = 0; part_idx < part_num; part_idx++){
    part_cur = part_top[part_idx];
    while(part_cur != NULL){
      if(part_cur->ident == MEASURE){
	measure = part_cur->val[0];
      }
      if(part_cur->tie_start == ON){
	strcpy(startnote, part_cur->str[0]);
	srch = part_cur->next;
	while(1){
	  if( (srch->tie_stop == ON) && (strcmp(startnote, srch->str[0]) == 0) ){
	    part_cur->xml_len.beat += srch->xml_len.beat;
	    part_cur->len.beat += srch->len.beat;
	    part_cur->xml_len_diff.beat += srch->xml_len_diff.beat;
	    part_cur->len_diff.beat += srch->len_diff.beat;
	    if(srch->tie_start != ON){
	      part_cur->tie_start = OFF;
	      part_cur = part_cur->next;
	    }
	    srch->pre->next = srch->next;
	    if(srch->next != NULL){
	      srch->pre->next->pre = srch->pre;
	    }
	    free(srch);
	    break;
	  }
	  if(srch->next == NULL){
	    printf("measure %d: %5.3f (%+5.3f %s %s %d %5.3f %+5.3f) <tie>\n",
		   measure,
		   part_cur->on_time.beat,
		   part_cur->on_diff.beat,
		   part_cur->str[1],
		   part_cur->str[0],
		   (int)part_cur->val[1],
		   part_cur->len.beat,
		   part_cur->len_diff.beat);
	    br_printf(3, "Ή^C܂łD(XML line: %d)\n",
		      xmlGetLineNo(part_cur->xmlnode));
	    part_cur = part_cur->next;
	    break;
	    /*
	    xmlDebugDumpNode(stdout, part_cur->xmlnode, 0);
	    exit(EXIT_FAILURE);
	    */
	  }
	  srch = srch->next;
	}
      }else{
	part_cur = part_cur->next;
      }
    }
  }

  return 0;
}
