/*  Time-stamp: <2005-08-30 04:11:19 >  */
#include  "4ru.h"


int SMF_out(char *org_filename, NOTE_NODE *part_top[PART_NUM], PART_INFO  part_info[PART_NUM], int part_num,
	    NOTE_HEADER *note_header_info,
	    SMF_HEADER *smf_header_info, WRITE_CTRL wctrl, PERF_CTRL pctrl, DRUM_DEF *drum_data)
{
  char filenameSMF[STR_LEN];
  char buf[STR_LEN];
  EL *smf_top[MAX_TRK_NUM];

  int i;


  for(i = 0; i < MAX_TRK_NUM; i++){
    smf_top[i] = NULL;
  }

  /*  NOTE $B7A<0%j%9%H$r(B SMF $B%j%9%H$KJQ49$9$k(B  */
  note2smf(part_top, part_info, part_num, note_header_info,
	   smf_top, smf_header_info, wctrl, pctrl, drum_data);

  /*  SMF $B$N%U%!%$%kL>@8@.(B  */
  sprintf(filenameSMF, "%s.mid", org_filename);

  /*  $B4{B8%U%!%$%k$X$N>e=q$-%A%'%C%/(B  */
  if(wctrl.ow_chk == ON){
    if(exist_chk(filenameSMF) == EXIST){
      br_printf(4, "%s", filenameSMF);
      br_printf(-1, "  ");
      br_printf(3, "overwrite ok? (y/n)\n");
      fgets(buf, STR_LEN, stdin);
      if(tolower(buf[0]) != 'y'){
	br_printf(6, "not written %s.\n", filenameSMF);
	return EXIT_FAILURE;
      }
    }
  }

  br_printf(5, "%s", filenameSMF);
  br_printf(-1, " Writing... ");
  fflush(stdout);


  
  /*  SMF $B=q$-=P$7(B  */
  if(smf_write(filenameSMF, smf_header_info, smf_top)){
    br_printf(2, "SMF: %s Write failed.\n\n", filenameSMF);
  }else{
    br_printf(5, "%s", filenameSMF);
    br_printf(-1,"(SMF) is written. ");
    br_printf(4, "Success.\n\n");
  }


  return  EXIT_SUCCESS;
}
