/*  Time-stamp: <2004-12-13 17:17:01 >  */
#include  "4ru.h"
#include  <glut.h>


extern int win_w;
extern int win_h;


extern NOTE_NODE *note_bot;
/* extern NOTE_NODE *note_cur; */
extern NOTE_NODE *note_alc;
extern NOTE_NODE *view_note_bot;

extern int gpr_view;
extern double draw_on_time_bias;
extern char gttm_line[STR_LEN];
extern char arg_file[STR_LEN];

extern NOTE_NODE *part_top[PART_NUM];
extern int part_num;


int draw_gen_mark(NOTE_HEADER note_header_info, NOTE_NODE *view_note_cur, double Lbot, double Ltop, double inter,
		  double Velbot, double Veltop, double BTbot, double BTtop, int BTl, int BTh,
		  double damper_bot, double damper_top,
		  double ppqbeat, double alpha)
{
  static GLdouble event_colors[8][4];
  static GLdouble star_colors[8][4];

  NOTE_NODE *cur;
  NOTE_NODE *same;
  NOTE_NODE *srchcur;
  NOTE_NODE *srch;
  NOTE_NODE *srch2;
  NOTE_NODE *srchsame;
  NOTE_NODE *gs;
  NOTE_NODE *ge;
  NOTE_NODE *ga;
  int part_i;
  int slur_num;
  int loop;
  int slur_i;
  int i;



  note_header_info =  note_header_info;
  view_note_cur = view_note_cur;
  Ltop = Ltop;
  BTbot = BTbot;
  BTtop = BTtop;
  BTl = BTl;
  BTh = BTh;
  damper_bot = damper_bot;
  damper_top = damper_top;

  set_event_colors("blue", star_colors);

  for(part_i = 0; part_i < part_num; part_i++){
    cur = part_top[part_i];
    draw_on_time_bias = cur->on_time.beat * ppqbeat - 100;
    while(cur != NULL){
      same = cur;
      while(same != NULL){
	switch(same->ident){
	case  NOTE:
	  for(slur_i = 0; slur_i < SLUR_NUM; slur_i++){
	    if(strcmp(same->notations.slur[slur_i].linetype, "dashed") == 0){
	      if(same->to_note_node != NULL){
/* 		set_event_colors("pink", event_colors); */
/* 		draw_event(same->to_note_node, Lbot, inter, Velbot, Veltop, */
/* 			   ppqbeat, alpha, draw_on_time_bias, event_colors); */
		;
	      }
	      slur_num = same->notations.slur[slur_i].number;
	      gs = same;

	      if(cur->next != NULL){
		srchcur = cur->next;
		loop = 1;
		ge = NULL;
		while(loop){
		  if(srchcur == NULL){  break; }
		  srchsame = srchcur;
		  while(srchsame != NULL){
		    for(i = 0; i < SLUR_NUM; i++){
		      if( (srchsame->notations.slur[i].type == STOP) &&
			  (srchsame->notations.slur[i].number == slur_num) ){
/* 			set_event_colors("green", event_colors); */
/* 			draw_event(srchsame->to_note_node, Lbot, inter, Velbot, Veltop, */
/* 				   ppqbeat, alpha, draw_on_time_bias, event_colors); */
/* 			draw_group_line(same->to_note_node, srchsame->to_note_node, Ltop, slur_num); */
			ge = srchsame;
			loop = 0;
			break;
		      }
		    }
		    srchsame = srchsame->samenext;
		  }
		  srchcur = srchcur->next;
		}

		if(ge != NULL){
		  srchcur = gs;
		  while(1){
		    if(srchcur == NULL){
		      printf("NULL\n");
		      break;
		    }
		    if(srchcur == ge){
/* 		      printf("group end\n"); */
		      break;
		    }
		    srchcur = srchcur->next;
		  }
		}
	      }
	    }
	  }
	  break;


	case  WORDS:
	  if( (strcmp(same->str[0], WORDS_EX) != 0) &&
	      (strcmp(same->str[0], WORDS_SYNC) != 0) &&
	      (strcmp(same->str[0], WORDS_VGS1) != 0) &&
	      (strcmp(same->str[0], WORDS_VGE1) != 0) &&
	      (strcmp(same->str[0], WORDS_VGA1) != 0) &&
	      (strcmp(same->str[0], WORDS_VGS2) != 0) &&
	      (strcmp(same->str[0], WORDS_VGE2) != 0) &&
	      (strcmp(same->str[0], WORDS_VGA2) != 0) &&
	      (strcmp(same->str[0], WORDS_NORM) != 0) &&
	      (1)
	      ){
	    break;
	  }

	  /* ==================================================================== */
	  /*  level 1 ̃O[v̏  */
	  gs = NULL;
	  ge = NULL;
	  ga = NULL;
	  if(strcmp(same->str[0], WORDS_VGS1) == 0){
	    srch = same;
	    /*  start NOTE node T  */
	    while(1){
	      if(srch == NULL){
		disp_err("vel group start node not found.");
		goto skipexit;
	      }
	      if( (srch->ident == NOTE) && (eq(srch->on_time.beat, same->on_time.beat)) ){
		gs = srch;
		break;
	      }
	      srch = srch->next;
	    }

	    /*  end WORDS node T  */
	    while(1){
	      while(1){
		if(srch == NULL){
		  disp_err("vel group end node not found.");
		  goto skipexit;
		}
		if( (srch->ident == WORDS) && (strcmp(srch->str[0], WORDS_VGE1) == 0) ){
		  srch2 = srch->next;
		  break;
		}
		srch = srch->next;
	      }
	      /*  end NOTE node T  */
	      while(1){
		if(srch2 == NULL){
		  disp_err("vel group end node not found.");
		  goto skipexit;
		}
		if( (srch2->ident == NOTE) &&
		    (eq(srch2->on_time.beat, srch->on_time.beat)) ){
		  ge = srch2;
		  srch2 = srch2->next;
		  break;
		}
		srch2 = srch2->next;
	      }
	      if(strcmp(ge->str[1], gs->str[1]) == 0){
		break;
	      }
	      srch = srch->next;
	    }
	    draw_group_line(gs->to_note_node, ge->to_note_node, Ltop, 1);

	    /*  apex WORD node T  */
	    srch = gs;
	    srch2 = NULL;
	    ga = NULL;
	    while(1){
	      while(1){
		if(srch == ge){  break; }
		if( (srch->ident == WORDS) && (strcmp(srch->str[0], WORDS_VGA1) == 0) ){
		  srch2 = srch->next;
		  break;
		}
		srch = srch->next;
	      }

	      while(1){
		if(srch2 == NULL){  break; }
		if(srch2 == ge){  break; }
		if( (srch2->ident == NOTE) && (eq(srch2->on_time.beat, srch->on_time.beat)) ){
		  ga = srch2;
		  break;
		}
		srch2 = srch2->next;
	      }
	      if(strcmp(ga->str[1], gs->str[1]) == 0){
		break;
	      }
	      srch = srch->next;
	    }
	    if(ga != NULL){
	      put_str_huge(ga->to_note_node->draw_xs - 6,
			   ga->to_note_node->draw_ys - 4,
			   0.0, star_colors[0], "a1");
	    }
	  }
	  /* ==================================================================== */



	  /* ==================================================================== */
	  /*  level 2 ̃O[v̏  */
	  gs = NULL;
	  ge = NULL;
	  ga = NULL;
	  if(strcmp(same->str[0], WORDS_VGS2) == 0){
	    srch = same;
	    /*  start NOTE node T  */
	    while(1){
	      if(srch == NULL){
		disp_err("vel group start node not found.");
		goto skipexit;
	      }
	      if( (srch->ident == NOTE) && (eq(srch->on_time.beat, same->on_time.beat)) ){
		gs = srch;
		break;
	      }
	      srch = srch->next;
	    }

	    /*  end WORDS node T  */
	    while(1){
	      while(1){
		if(srch == NULL){
		  disp_err("vel group end node not found.");
		  goto skipexit;
		}
		if( (srch->ident == WORDS) && (strcmp(srch->str[0], WORDS_VGE2) == 0) ){
		  srch2 = srch->next;
		  break;
		}
		srch = srch->next;
	      }
	      /*  end NOTE node T  */
	      while(1){
		if(srch2 == NULL){
		  disp_err("vel group end node not found.");
		  goto skipexit;
		}
		if( (srch2->ident == NOTE) &&
		    (eq(srch2->on_time.beat, srch->on_time.beat)) ){
		  ge = srch2;
		  srch2 = srch2->next;
		  break;
		}
		srch2 = srch2->next;
	      }
	      if(strcmp(ge->str[1], gs->str[1]) == 0){
		break;
	      }
	      srch = srch->next;
	    }
	    draw_group_line(gs->to_note_node, ge->to_note_node, Ltop, 2);

	    /*  apex WORD node T  */
	    srch = gs;
	    srch2 = NULL;
	    ga = NULL;
	    while(1){
	      while(1){
		if(srch == ge){  break; }
		if( (srch->ident == WORDS) && (strcmp(srch->str[0], WORDS_VGA2) == 0) ){
		  srch2 = srch->next;
		  break;
		}
		srch = srch->next;
	      }

	      while(1){
		if(srch2 == NULL){  break; }
		if(srch2 == ge){  break; }
		if( (srch2->ident == NOTE) && (eq(srch2->on_time.beat, srch->on_time.beat)) ){
		  ga = srch2;
		  break;
		}
		srch2 = srch2->next;
	      }
	      if(strcmp(ga->str[1], gs->str[1]) == 0){
		break;
	      }
	      srch = srch->next;
	    }
	    if(ga != NULL){
	      put_str_huge(ga->to_note_node->draw_xs - 6,
			   ga->to_note_node->draw_ys - 4,
			   0.0, star_colors[0], "a2");
	    }
	  }
	  /* ==================================================================== */



	skipexit:

	  break;

	  default:
	  break;
	}
	same = same->samenext;
      }

      if(note_bot != NULL){
	if(cur == note_bot){
	  view_note_bot = cur;
	  break;
	}
      }
      cur = cur->next;
    }
  }

  return EXIT_SUCCESS;
}
