/*  Time-stamp: <2005-04-19 17:22:40 >  */
#include  "4ru.h"


xmlNode *gen_XML_note(xmlNode **xml_meas, NOTE_NODE *note_cur, int divi, double beat_bunbo, DRUM_DEF *drum_data)
{
  xmlNode *xml_note = NULL;
  xmlNode *xml_pitch = NULL;
  xmlNode *xml_cur = NULL;
  char str_tmp[STR_LEN];
  char type_str[STR_LEN];
  int dur;


  xml_note = xmlNewChild(*xml_meas, NULL, BAD_CAST "note", NULL);

  xml_pitch = xmlNewChild(xml_note, NULL, BAD_CAST "pitch", NULL);

  /*  ̾  */
  str_tmp[0] = note_cur->str[0][0];
  str_tmp[1] = '\0';
  xml_cur = xmlNewChild(xml_pitch, NULL, BAD_CAST "step", str_tmp);

  switch(note_cur->str[0][1]){
  case  '#':
    strcpy(str_tmp, "1");
    xml_cur = xmlNewChild(xml_pitch, NULL, BAD_CAST "alter", str_tmp);
    break;

  case  'x':
    strcpy(str_tmp, "2");
    xml_cur = xmlNewChild(xml_pitch, NULL, BAD_CAST "alter", str_tmp);
    break;

  case  'b':
    if(note_cur->str[0][2] == 'b'){
      strcpy(str_tmp, "-2");  /*  bb  */
    }else{
      strcpy(str_tmp, "-1");  /*  b  */
    }
    xml_cur = xmlNewChild(xml_pitch, NULL, BAD_CAST "alter", str_tmp);
    break;

  default:
    break;
  }

  /*  ֿ  */
  strcpy(str_tmp, strrev(note_cur->str[0]));
  str_tmp[1] = '\0';
  xml_cur = xmlNewChild(xml_pitch, NULL, BAD_CAST "octave", str_tmp);

  /*  duration  */
/*   dur = (int)(note_cur->len.beat / beat_bunbo * divi); */
  dur = (int)(note_cur->len.beat * (4.0 / beat_bunbo) * divi);
  sprintf(str_tmp, "%d", dur);
  xml_cur = xmlNewChild(xml_note, NULL, BAD_CAST "duration", str_tmp);
  
  /* voice  */
  sprintf(str_tmp, "%d", get_ch(note_cur->str[1], note_cur->str[0], drum_data) + 1);
  xml_cur = xmlNewChild(xml_note, NULL, BAD_CAST "voice", str_tmp);
  
  /* type  */
  dur2type(dur, type_str, divi, 4.0);
  xml_cur = xmlNewChild(xml_note, NULL, BAD_CAST "type", type_str);

  return xml_cur;

}
