/* Time-stamp: <2005-04-19 17:21:45 >  */
#include  "4ru.h"


extern int gttm_exec;
extern char gttm_line[STR_LEN];
extern double alpha;
extern DRUM_DEF drum_data[DRUM_KIND];


void set_event_colors(char *flag, GLdouble event_colors[8][4])
{
  int i;
  double red;
  double green;
  double blue;
  double l_alpha;


  if(stricmp(flag, "m1G") == 0){
    red   = 1.0;
    green = 0.0;
    blue  = 0.0;
    l_alpha = alpha;
  }else if(stricmp(flag, "m0G") == 0){
    red   = 0.0;
    green = 0.0;
    blue  = 1.0;
    l_alpha = alpha;
  }else if(stricmp(flag, "red") == 0){
    red   = 1.0;
    green = 0.0;
    blue  = 0.0;
    l_alpha = alpha;
  }else if(stricmp(flag, "blue") == 0){
    red   = 0.0;
    green = 0.0;
    blue  = 1.0;
    l_alpha = alpha;
  }else if(stricmp(flag, "pink") == 0){
    red   = 1.0;
    green = 0.0;
    blue  = 1.0;
    l_alpha = alpha;
  }else if(stricmp(flag, "yellow") == 0){
    red   = 1.0;
    green = 1.0;
    blue  = 0.0;
    l_alpha = alpha;
  }else if(stricmp(flag, "green") == 0){
    red   = 0.0;
    green = 1.0;
    blue  = 0.0;
    l_alpha = alpha;
  }else if(stricmp(flag, "cyan") == 0){
    red   = 0.0;
    green = 1.0;
    blue  = 1.0;
    l_alpha = alpha;
  }else{
    switch(get_ch(flag, NULL, drum_data)){
    case  0:
      red   = 1.0;
      green = 0.0;
/*       blue  = 0.0; */
      blue  = 0.2;
      l_alpha = alpha;
      break;
      
    case  1:
      red   = 0.0;
      green = 0.5;
      blue  = 0.8;
      l_alpha = alpha;
      break;
      
    case  2:
      red   = 1.0;
      green = 1.0;
      blue  = 0.0;
    l_alpha = alpha;
      break;
      
      
    case  3:
      red   = 1.0;
      green = 0.0;
      blue  = 1.0;
    l_alpha = alpha;
      break;
      
      
    default:
      red   = 1.0;
      green = 0.0;
      blue  = 0.0;
    l_alpha = alpha;
      break;
      
    }
  }

  if( (gttm_exec == ON) && (stricmp(flag, gttm_line) != 0) ){
    red   *= 0.5;
    green *= 0.5;
    blue  *= 0.5;
    l_alpha *= 1.0;
  }


  for(i = 0; i < 8; i++){
    event_colors[i][R] = red;
    event_colors[i][G] = green;
    event_colors[i][B] = blue;
    event_colors[i][A] = l_alpha;
  }



  return;
}
